# config_parser module - Generování 3D modelu otisku prstu 1.0 documentation

Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# config_parser module

Config parser for fingerprint filtering and 3d model generation application.

config_parser.parse_conf(preset_name, filters, params, config_file)

  Parse configuration file if one was specified.

  Parameters:

    - preset_name – preset name to be loaded

    - filters – list of filters to be loaded

    - params – dictionary of filter parameters to be loaded

    - config_file – path to config file

config_parser.parse_params(params)

  Parse parameters of filters. Set to None if parameter is not specified. These are later set to default values in the filter method apply.

  Parameters:

    params – dictionary of filter parameters

config_parser.save_preset(filters, params, preset_name)

  Save filter list from command line to database.

  Parameters:

    - filters – list of filters to be saved

    - preset_name – name of preset to be saved

config_parser.store_to_db(preset, preset_name)

  Store filter preset to database.

  Parameters:

    - preset – dictionary of filter preset to be stored

    - preset_name – name of preset to be stored